### Method

# AppStream Component add_replaces

#### Declaration [src]

    void
    as_component_add_replaces (
      AsComponent* cpt,
      const gchar* cid
    )

#### Description [src]

Add the component ID of a component that gets replaced by the current component.

#### Parameters

`cid`

  Type: `const gchar*`

  An AppStream component ID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.